%{
#include<stdio.h>
#include<string.h>

   int yyerror(char* s)
{
  fprintf(stderr, ": Syntax pliku niepoprawny.\n", s); 
  return(0);
}


%}

%token  HTML HTMLe BODY BODYe HEAD HEADe TITLE TITLEe B Be P Pe
%token I Ie UL ULe TR TRe TD TDe A Ae OL OLe TABLE TABLEe STRING BR IMG IMGalt IMGe LI

%%
   
     
DUPA : HTML HEAD srodek_head HEADe BODY srodek_body BODYe HTMLe 
     ; 

srodek_head:   TITLE STRING TITLEe
		|TITLE TITLEe
; 

srodek_body: 	/*Pusty*/
		| paragraf srodek_body
		| listy srodek_body
		| tabela srodek_body
;

paragraf:	 P tekst Pe 
;

tekst:		 slowo tekst
		| I ukosnie Ie tekst
		| B pogrubione Be tekst
		| IMG STRING IMGalt STRING IMGe tekst
		| A STRING IMGe STRING Ae tekst
		| 
;

pogrubione: 	 slowo pogrubione
		| I STRING Ie pogrubione
		| IMG STRING IMGalt STRING IMGe pogrubione
		| A STRING IMGe STRING Ae pogrubione
		|
;

ukosnie:	 	 slowo ukosnie
			|B STRING Be ukosnie
			| IMG STRING IMGalt STRING IMGe ukosnie
			| A STRING IMGe STRING Ae ukosnie
			|
;

listy:			OL wliscie OLe 
			| UL wliscie ULe 

;
wliscie:		LI tekst wliscie
			|LI listy wliscie
			| tabela wliscie
			|LI
;

tabela:		TABLE wtabeli TABLEe

;
wtabeli:		TR wwierszu TRe wtabeli
			|
;
wwierszu:		TD tekst TDe wwierszu
			| TD tekst tabela TDe wwierszu
			| TD tekst paragraf TDe wwierszu
			| TD tekst listy TDe wwierszu
|
;
slowo:		BR|STRING	
;

%%
main()
{
yyparse();
}